Bug 1706772 - Duplicated "NODE SELECTOR" field on pod overview page
Summary: Duplicated "NODE SELECTOR" field on pod overview page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-06 09:47 UTC by Yanping Zhang
Modified: 2019-05-07 13:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-07 13:18:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yanping Zhang 2019-05-06 09:47:07 UTC
Description of problem:
Check pod overview page, there are two "NODE SELECTOR" fields.

Version-Release number of selected component (if applicable):
4.1.0-0.nightly-2019-05-05-070156
console image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:517fb0501e28769fa9edbf4fb228eac9c69c892d9f757892c3fe0219096a9df7
commit: https://github.com/openshift/console/commit/47f5e8e4a15303a15f138070753ab41c3e8fac3c

How reproducible:
Always

Steps to Reproduce:
1.Create pod in project, check pod overview page.
2.
3.

Actual results:
1. There are two "NODE SELECTOR" fields.


Expected results:
1. Should only show one "NODE SELECTOR" field.

Additional info:

Comment 1 Samuel Padgett 2019-05-06 11:17:47 UTC
https://github.com/openshift/console/pull/1538

Comment 2 Yanping Zhang 2019-05-07 02:41:52 UTC
4.1.0-0.nightly-2019-05-06-223020
console image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6d971f9d47aa69d6f538385be63ffe7df0d7870ea3b1e4ec66f53701c0a170d6
commit: https://github.com/openshift/console/commit/f7240bdc6a67738dbab31ff57ce9dea0cc15823c
Checked on ocp 4.1 env with above version, now the "NODE SELECTOR" field shows once on pod overview page.
The bug has been fixed, so move it to Verified.


Note You need to log in before you can comment on or make changes to this bug.